<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/sales.php';
date_default_timezone_set('Asia/Rangoon');
session_start();
$database = new Database();
$db = $database->getConnection();
 
$sales = new Sales($db);
$data = json_decode(file_get_contents("php://input"));

$sales->city = $data->city;
$sales->ym = $data->ym;

$stmt = $sales->searchMbpsMonths();
$num = $stmt->rowCount();

$arr = array();
$arr["records"]=array();

if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $detail = array();
        foreach ($row as $key => $value) {
            $detail[$key] = ($value)?$value:"";
        }
        array_push($arr["records"], $detail);
    }
}

echo json_encode($arr);
?>